## Bounties

Bounties are used to incentivize development and reward contributors.

To receive a bounty, you agree to these conditions:

- Your changes must follow the existing coding conventions.
- Bounties will be set and awarded in XMR.
- The issues eligible for a bounty are labelled '💰bounty' and have the amount of the bounty specified in the title in this form: `[$200]` if in dollars or `[1 XMR]` if in Monero.
- An issue is considered resolved when the patch(es) proposed by the contributor is/are merged in the appropriate repository according to terms of the issue. Pull requests to monero-project must be merged into the release branch to be considered final.
- The first person who resolves an issue in its entirety will receive the entire amount of the bounty.
- If the issue is resolved collaboratively by more than one person, the reward will be distributed among the contributors at our discretion.
- Let the Maintainers know if you intend to work on a bounty, so that the issue can be assigned to you. Being assigned to an issue doesn't make that issue resolvable only by the assignee. It's meant to avoid duplication of efforts and not to discourage collective works.
- After the issue is resolved, contact the maintainers and claim your bounty (remember to provide them with a Monero address).
- If the bounty is in dollars, the contributor will receive the amount in Monero according to the value of XMR at the moment the issue was practically resolved, so in the moment the maintainers accept the last patch resolving the issue.

We want to keep the system simple and flexible, but we will add new rules or edit existing ones if necessary.
